package ch.capi.display 
{
	import flash.geom.Point;	

	/**
	 * Represents a drag delimiter.
	 * 
	 * @author		Cedric Tabin - thecaptain
	 * @version 	1.0
	 */
	public interface IDragDelimiter 
	{
		/**
		 * Retrieves if a specified point hits the <code>IShape</code> or not.
		 * 
		 * @param	x			The x coordinate.
		 * @param	y			The y coordinate.
		 * @return	<code>true</code> if the point hit the <code>IShape</code>.
		 */
		function hitTestPoint(x:Number, y:Number):Boolean;
		
		/**
		 * Retrieves the nearest <code>Point</code> that hits the <code>IShape</code>.
		 * 
		 * @param	x	An arbitrary x coordinate.
		 * @param	y	An arbitrary y coordinate.
		 * @return	The nearest <code>Point</code> that hits the <code>IShape</code>.
		 */
		function getNearestHitPoint(x:Number, y:Number):Point;
	}
}
